summaryrefslogtreecommitdiffstats
path: root/audio/gtkpod
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-03-18 16:51:37 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:31:58 +0200
commitfd007bb209c62febd1995b7d33a2a48ccfea7fbb (patch)
tree77db7f17ef24a2f8021bbcf2546643310d7016e1 /audio/gtkpod
parente5d67f6f5b19506fff93ca480bf5a347d4d64e45 (diff)
downloadslackbuilds-fd007bb209c62febd1995b7d33a2a48ccfea7fbb.tar.gz
slackbuilds-fd007bb209c62febd1995b7d33a2a48ccfea7fbb.tar.xz
audio/gtkpod: Build bump.
Included patch for libmp4v2-1.9.1. Thanks to the new maintainer Vincent Batts.
Diffstat (limited to 'audio/gtkpod')
-rw-r--r--audio/gtkpod/MP4SetMetadata.diff.gzbin0 -> 967 bytes
-rw-r--r--audio/gtkpod/doinst.sh1
-rw-r--r--audio/gtkpod/gtkpod.SlackBuild18
-rw-r--r--audio/gtkpod/gtkpod.info6
4 files changed, 14 insertions, 11 deletions
diff --git a/audio/gtkpod/MP4SetMetadata.diff.gz b/audio/gtkpod/MP4SetMetadata.diff.gz
new file mode 100644
index 0000000000..94b0fc2b45
--- /dev/null
+++ b/audio/gtkpod/MP4SetMetadata.diff.gz
Binary files differ
diff --git a/audio/gtkpod/doinst.sh b/audio/gtkpod/doinst.sh
index 1f8ff67ded..3e5691a052 100644
--- a/audio/gtkpod/doinst.sh
+++ b/audio/gtkpod/doinst.sh
@@ -7,4 +7,3 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
fi
-
diff --git a/audio/gtkpod/gtkpod.SlackBuild b/audio/gtkpod/gtkpod.SlackBuild
index 6d87b0c1e1..f3c8bf5df1 100644
--- a/audio/gtkpod/gtkpod.SlackBuild
+++ b/audio/gtkpod/gtkpod.SlackBuild
@@ -2,16 +2,16 @@
# Slackware build script for gtkpod
-# Written by Alex Lysenka <me@alkos333.net>
+# Written by Alex Lysenka <me@alkos333.net>
# All rights reserved.
-#
+#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
-#
+#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
-#
+#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -27,7 +27,7 @@
PRGNAM=gtkpod
VERSION=0.99.14
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -54,7 +54,9 @@ cd $TMP
tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chmod -R u+w,go+r-w,a-s .
+
+zcat $CWD/MP4SetMetadata.diff.gz | patch -p1 || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -70,6 +72,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+gzip -9 $PKG/usr/man/man?/*.?
+
mkdir -p $PKG/usr/share/applications
install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
@@ -77,7 +81,7 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp \
AUTHORS COPYING ChangeLog INSTALL NEWS README TODO* TROUBLESHOOTING \
$PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
diff --git a/audio/gtkpod/gtkpod.info b/audio/gtkpod/gtkpod.info
index ad3a5dd8d0..c69d7e157a 100644
--- a/audio/gtkpod/gtkpod.info
+++ b/audio/gtkpod/gtkpod.info
@@ -5,6 +5,6 @@ DOWNLOAD="http://downloads.sourceforge.net/gtkpod/gtkpod-0.99.14.tar.gz"
MD5SUM="f7948eceb955b302f4c47da4c0e1ec12"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Alex Lysenka"
-EMAIL="me@alkos333.net"
-APPROVED="BP{k}"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="Erik Hanson"